Bug 1381915 - Hammer CLI scap plugin install support via satelllite-installer
Summary: Hammer CLI scap plugin install support via satelllite-installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-05 11:17 UTC by Sanket Jagtap
Modified: 2021-03-11 14:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16802 0 Normal Closed Hammer CLI scap plugin install support via foreman-installer 2020-03-21 23:02:22 UTC

Description Sanket Jagtap 2016-10-05 11:17:54 UTC
Description of problem:
Currently, we install the Hammer scap cli plugin , by manually installing the tfm-rubygem-hammer_cli_foreman_openscap package.

The idea is to add support in the installer for installing it. 

Version-Release number of selected component (if applicable):
Build: Satellite 6.3 snap3

How reproducible:
Always

Steps to Reproduce:
1. Enable the scap plugin via installer
2. Web UI has the scap plugin features


Actual results:
No hammer CLI scap plugin

Expected results:
The scap CLI plugin should be installed when we enable the scap plugin via installer

Additional info:

Comment 1 Marek Hulan 2016-10-05 11:25:00 UTC
Created redmine issue http://projects.theforeman.org/issues/16802 from this bug

Comment 3 Bryan Kearney 2016-10-05 14:16:16 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Bryan Kearney 2016-10-05 14:16:19 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Bryan Kearney 2016-11-23 09:15:08 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16802 has been resolved.

Comment 6 Ondřej Pražák 2017-08-30 10:31:28 UTC
Verification steps:

1) satellite-installer -S satellite
2) hammer -h | grep arf-report

foreman_openscap plugin is enabled by default and hammer commands are available as well.

Verified.

6.3.0 snap 13

Comment 7 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.